<?php
function expert_sports_coach_general_setting( $wp_customize ) {
$selective_refresh = isset( $wp_customize->selective_refresh ) ? 'postMessage' : 'refresh';
	$wp_customize->add_panel(
		'expert_sports_coach_general', array(
			'priority' => 31,
			'title' => esc_html__( 'General', 'expert-sports-coach' ),
		)
	);

	/*=========================================
	Breadcrumb  Section
	=========================================*/
	$wp_customize->add_section(
		'expert_sports_coach_breadcrumb_setting', array(
			'title' => esc_html__( 'Breadcrumb Section', 'expert-sports-coach' ),
			'priority' => 1,
			'panel' => 'expert_sports_coach_general',
		)
	);
	
	// Settings 
	$wp_customize->add_setting(
		'expert_sports_coach_breadcrumb_settings'
			,array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'expert_sports_coach_sanitize_text',
			'priority' => 1,
		)
	);

	$wp_customize->add_control(
	'expert_sports_coach_breadcrumb_settings',
		array(
			'type' => 'hidden',
			'label' => __('Settings','expert-sports-coach'),
			'section' => 'expert_sports_coach_breadcrumb_setting',
		)
	);
	
	// Breadcrumb Hide/ Show Setting // 
	$wp_customize->add_setting( 
		'expert_sports_coach_hs_breadcrumb' , 
			array(
			'default' => '1',
			'sanitize_callback' => 'expert_sports_coach_sanitize_checkbox',
			'capability' => 'edit_theme_options',
			'priority' => 2,
		) 
	);
	
	$wp_customize->add_control(
	'expert_sports_coach_hs_breadcrumb', 
		array(
			'label'	      => esc_html__( 'Hide / Show Section', 'expert-sports-coach' ),
			'section'     => 'expert_sports_coach_breadcrumb_setting',
			'settings'    => 'expert_sports_coach_hs_breadcrumb',
			'type'        => 'checkbox'
		) 
	);

	$wp_customize->add_setting(
    	'expert_sports_coach_breadcrumb_seprator',
    	array(
			'default' => '/',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);
	$wp_customize->add_control(
		'expert_sports_coach_breadcrumb_seprator',
		array(
		    'label'   		=> __('Breadcrumb separator','expert-sports-coach'),
		    'section'		=> 'expert_sports_coach_breadcrumb_setting',
			'type' 			=> 'text',
		)  
	);

	$wp_customize->add_setting( 'expert_sports_coach_upgrade_page_settings_5',
    array(
        'sanitize_callback' => 'sanitize_text_field'
    )
    );
    $wp_customize->add_control( new Expert_Sports_Coach_Control_Upgrade(
        $wp_customize, 'expert_sports_coach_upgrade_page_settings_5',
            array(
                'priority'      => 200,
                'section'       => 'expert_sports_coach_breadcrumb_setting',
                'settings'      => 'expert_sports_coach_upgrade_page_settings_5',
                'label'         => __( 'Sports Coach Pro comes with additional features.', 'expert-sports-coach' ),
                'choices'       => array( __( '12+ Sections', 'expert-sports-coach' ), __( 'One Click Demo Importer', 'expert-sports-coach' ), __( 'Section Reordering Facility', 'expert-sports-coach' ),__( 'Advance Typography', 'expert-sports-coach' ),__( 'Easy Customization', 'expert-sports-coach' ),__( '24x7 Support', 'expert-sports-coach' ), )
            )
        )
    ); 

	/*=========================================
	Preloader Section
	=========================================*/
	$wp_customize->add_section(
		'expert_sports_coach_preloader_section_setting', array(
			'title' => esc_html__( 'Preloader', 'expert-sports-coach' ),
			'priority' => 3,
			'panel' => 'expert_sports_coach_general',
		)
	);

	// Preloader Hide/ Show Setting // 
	$wp_customize->add_setting( 
		'expert_sports_coach_preloader_setting' , 
			array(
			'default' => '1',
			'sanitize_callback' => 'expert_sports_coach_sanitize_checkbox',
			'capability' => 'edit_theme_options',
		) 
	);
	
	$wp_customize->add_control(
	'expert_sports_coach_preloader_setting', 
		array(
			'label'	      => esc_html__( 'Hide / Show Preloader', 'expert-sports-coach' ),
			'section'     => 'expert_sports_coach_preloader_section_setting',
			'settings'    => 'expert_sports_coach_preloader_setting',
			'type'        => 'checkbox'
		) 
	);

	$wp_customize->add_setting( 'expert_sports_coach_upgrade_page_settings_6',
    array(
        'sanitize_callback' => 'sanitize_text_field'
    )
    );
    $wp_customize->add_control( new Expert_Sports_Coach_Control_Upgrade(
        $wp_customize, 'expert_sports_coach_upgrade_page_settings_6',
            array(
                'priority'      => 200,
                'section'       => 'expert_sports_coach_preloader_section_setting',
                'settings'      => 'expert_sports_coach_upgrade_page_settings_6',
                'label'         => __( 'Sports Coach Pro comes with additional features.', 'expert-sports-coach' ),
                'choices'       => array( __( '12+ Sections', 'expert-sports-coach' ), __( 'One Click Demo Importer', 'expert-sports-coach' ), __( 'Section Reordering Facility', 'expert-sports-coach' ),__( 'Advance Typography', 'expert-sports-coach' ),__( 'Easy Customization', 'expert-sports-coach' ),__( '24x7 Support', 'expert-sports-coach' ), )
            )
        )
    ); 

	/*=========================================
	Scroll To Top Section
	=========================================*/
	$wp_customize->add_section(
		'expert_sports_coach_scroll_to_top_section_setting', array(
			'title' => esc_html__( 'Scroll To Top', 'expert-sports-coach' ),
			'priority' => 3,
			'panel' => 'expert_sports_coach_general',
		)
	);

	// Scroll To Top Hide/ Show Setting // 
	$wp_customize->add_setting( 
		'expert_sports_coach_scroll_top_setting' , 
			array(
			'default' => '1',
			'sanitize_callback' => 'expert_sports_coach_sanitize_checkbox',
			'capability' => 'edit_theme_options',
		) 
	);
	
	$wp_customize->add_control(
	'expert_sports_coach_scroll_top_setting', 
		array(
			'label'	      => esc_html__( 'Hide / Show Scroll To Top', 'expert-sports-coach' ),
			'section'     => 'expert_sports_coach_scroll_to_top_section_setting',
			'settings'    => 'expert_sports_coach_scroll_top_setting',
			'type'        => 'checkbox'
		) 
	);

	$wp_customize->add_setting( 'expert_sports_coach_upgrade_page_settings_7',
    array(
        'sanitize_callback' => 'sanitize_text_field'
    )
    );
    $wp_customize->add_control( new Expert_Sports_Coach_Control_Upgrade(
        $wp_customize, 'expert_sports_coach_upgrade_page_settings_7',
            array(
                'priority'      => 200,
                'section'       => 'expert_sports_coach_scroll_to_top_section_setting',
                'settings'      => 'expert_sports_coach_upgrade_page_settings_7',
                'label'         => __( 'Sports Coach Pro comes with additional features.', 'expert-sports-coach' ),
                'choices'       => array( __( '12+ Sections', 'expert-sports-coach' ), __( 'One Click Demo Importer', 'expert-sports-coach' ), __( 'Section Reordering Facility', 'expert-sports-coach' ),__( 'Advance Typography', 'expert-sports-coach' ),__( 'Easy Customization', 'expert-sports-coach' ),__( '24x7 Support', 'expert-sports-coach' ), )
            )
        )
    ); 

	/*=========================================
	Woocommerce Section
	=========================================*/
	$wp_customize->add_section(
		'expert_sports_coach_woocommerce_section_setting', array(
			'title' => esc_html__( 'Woocommerce Settings', 'expert-sports-coach' ),
			'priority' => 3,
			'panel' => 'expert_sports_coach_general',
		)
	);

	$wp_customize->add_setting(
    	'expert_sports_coach_custom_shop_per_columns',
    	array(
			'default' => '3',
			'sanitize_callback' => 'absint',
		)
	);	
	$wp_customize->add_control( 
		'expert_sports_coach_custom_shop_per_columns',
		array(
		    'label'   		=> __('Product Per Columns','expert-sports-coach'),
		    'section'		=> 'expert_sports_coach_woocommerce_section_setting',
			'type' 			=> 'number',
			'transport'         => $selective_refresh,
		)  
	);

	$wp_customize->add_setting(
    	'expert_sports_coach_custom_shop_product_per_page',
    	array(
			'default' => '9',
			'sanitize_callback' => 'absint',
		)
	);	
	$wp_customize->add_control( 
		'expert_sports_coach_custom_shop_product_per_page',
		array(
		    'label'   		=> __('Product Per Page','expert-sports-coach'),
		    'section'		=> 'expert_sports_coach_woocommerce_section_setting',
			'type' 			=> 'number',
			'transport'         => $selective_refresh,
		)  
	);

	// Woocommerce Sidebar Hide/ Show Setting // 
	$wp_customize->add_setting( 
		'expert_sports_coach_wocommerce_sidebar_setting' , 
			array(
			'default' => '1',
			'sanitize_callback' => 'expert_sports_coach_sanitize_checkbox',
			'capability' => 'edit_theme_options',
		) 
	);
	
	$wp_customize->add_control(
	'expert_sports_coach_wocommerce_sidebar_setting', 
		array(
			'label'	      => esc_html__( 'Hide / Show Woocommerce Sidebar', 'expert-sports-coach' ),
			'section'     => 'expert_sports_coach_woocommerce_section_setting',
			'settings'    => 'expert_sports_coach_wocommerce_sidebar_setting',
			'type'        => 'checkbox'
		)
	);

	$wp_customize->add_setting( 'expert_sports_coach_upgrade_page_settings_8',
    array(
        'sanitize_callback' => 'sanitize_text_field'
    )
    );
    $wp_customize->add_control( new Expert_Sports_Coach_Control_Upgrade(
        $wp_customize, 'expert_sports_coach_upgrade_page_settings_8',
            array(
                'priority'      => 200,
                'section'       => 'expert_sports_coach_woocommerce_section_setting',
                'settings'      => 'expert_sports_coach_upgrade_page_settings_8',
                'label'         => __( 'Sports Coach Pro comes with additional features.', 'expert-sports-coach' ),
                'choices'       => array( __( '12+ Sections', 'expert-sports-coach' ), __( 'One Click Demo Importer', 'expert-sports-coach' ), __( 'Section Reordering Facility', 'expert-sports-coach' ),__( 'Advance Typography', 'expert-sports-coach' ),__( 'Easy Customization', 'expert-sports-coach' ),__( '24x7 Support', 'expert-sports-coach' ), )
            )
        )
    ); 

}

add_action( 'customize_register', 'expert_sports_coach_general_setting' );