<?php
function expert_sports_coach_header_settings( $wp_customize ) {
$selective_refresh = isset( $wp_customize->selective_refresh ) ? 'postMessage' : 'refresh';

    // Site Title Hide/ Show Setting // 
	$wp_customize->add_setting( 
		'expert_sports_coach_site_title_setting' , 
			array(
			'default' => '1',
			'sanitize_callback' => 'expert_sports_coach_sanitize_checkbox',
			'capability' => 'edit_theme_options',
		) 
	);
	
	$wp_customize->add_control(
	'expert_sports_coach_site_title_setting', 
		array(
			'label'	      => esc_html__( 'Hide / Show Site Title', 'expert-sports-coach' ),
			'section'     => 'title_tagline',
			'settings'    => 'expert_sports_coach_site_title_setting',
			'type'        => 'checkbox'
		) 
	);

	// Tagline Hide/ Show Setting // 
	$wp_customize->add_setting( 
		'expert_sports_coach_tagline_setting' , 
			array(
			'default' => '',
			'sanitize_callback' => 'expert_sports_coach_sanitize_checkbox',
			'capability' => 'edit_theme_options',
		) 
	);
	
	$wp_customize->add_control(
	'expert_sports_coach_tagline_setting', 
		array(
			'label'	      => esc_html__( 'Hide / Show Tagline', 'expert-sports-coach' ),
			'section'     => 'title_tagline',
			'settings'    => 'expert_sports_coach_tagline_setting',
			'type'        => 'checkbox'
		) 
	);

	$wp_customize->add_setting( 'expert_sports_coach_upgrade_page_settings_9',
    array(
        'sanitize_callback' => 'sanitize_text_field'
    )
    );
    $wp_customize->add_control( new Expert_Sports_Coach_Control_Upgrade(
        $wp_customize, 'expert_sports_coach_upgrade_page_settings_9',
            array(
                'priority'      => 200,
                'section'       => 'title_tagline',
                'settings'      => 'expert_sports_coach_upgrade_page_settings_9',
                'label'         => __( 'Sports Coach Pro comes with additional features.', 'expert-sports-coach' ),
                'choices'       => array( __( '12+ Sections', 'expert-sports-coach' ), __( 'One Click Demo Importer', 'expert-sports-coach' ), __( 'Section Reordering Facility', 'expert-sports-coach' ),__( 'Advance Typography', 'expert-sports-coach' ),__( 'Easy Customization', 'expert-sports-coach' ),__( '24x7 Support', 'expert-sports-coach' ), )
            )
        )
    ); 

	/*=========================================
	Header Settings Panel
	=========================================*/
	$wp_customize->add_panel( 
		'expert_sports_coach_header_section', 
		array(
			'priority'      => 2,
			'capability'    => 'edit_theme_options',
			'title'			=> __('Header', 'expert-sports-coach'),
		) 
	);

	/*=========================================
	Expert Sports Coach Site Identity
	=========================================*/
	$wp_customize->add_section(
        'title_tagline',
        array(
        	'priority'      => 1,
            'title' 		=> __('Site Identity','expert-sports-coach'),
			'panel'  		=> 'expert_sports_coach_header_section',
		)
    );

	$wp_customize->register_panel_type( 'Expert_Sports_Coach_WP_Customize_Panel' );
	$wp_customize->register_section_type( 'Expert_Sports_Coach_WP_Customize_Section' );

}
add_action( 'customize_register', 'expert_sports_coach_header_settings' );

if ( class_exists( 'WP_Customize_Panel' ) ) {
  	class Expert_Sports_Coach_WP_Customize_Panel extends WP_Customize_Panel {
	   public $panel;
	   public $type = 'expert_sports_coach_panel';
	   public function json() {

	      $array = wp_array_slice_assoc( (array) $this, array( 'id', 'description', 'priority', 'type', 'panel', ) );
	      $array['title'] = html_entity_decode( $this->title, ENT_QUOTES, get_bloginfo( 'charset' ) );
	      $array['content'] = $this->get_content();
	      $array['active'] = $this->active();
	      $array['instanceNumber'] = $this->instance_number;
	      return $array;
    	}
  	}
}

if ( class_exists( 'WP_Customize_Section' ) ) {
  	class Expert_Sports_Coach_WP_Customize_Section extends WP_Customize_Section {
	   public $section;
	   public $type = 'expert_sports_coach_section';
	   public function json() {

	      $array = wp_array_slice_assoc( (array) $this, array( 'id', 'description', 'priority', 'panel', 'type', 'description_hidden', 'section', ) );
	      $array['title'] = html_entity_decode( $this->title, ENT_QUOTES, get_bloginfo( 'charset' ) );
	      $array['content'] = $this->get_content();
	      $array['active'] = $this->active();
	      $array['instanceNumber'] = $this->instance_number;

	      if ( $this->panel ) {
	        $array['customizeAction'] = sprintf( 'Customizing &#9656; %s', esc_html( $this->manager->get_panel( $this->panel )->title ) );
	      } else {
	        $array['customizeAction'] = 'Customizing';
	      }
	      return $array;
    	}
  	}
}