<?php
function expert_sports_coach_post_setting( $wp_customize ) {
$selective_refresh = isset( $wp_customize->selective_refresh ) ? 'postMessage' : 'refresh';
	$wp_customize->add_panel(
		'expert_sports_coach_post', array(
			'priority' => 31,
			'title' => esc_html__( 'Post Option', 'expert-sports-coach' ),
		)
	);

	/*=========================================
	Archive Post  Section
	=========================================*/
	$wp_customize->add_section(
		'expert_sports_coach_archive_post_setting', array(
			'title' => esc_html__( 'Archive Post', 'expert-sports-coach' ),
			'priority' => 1,
			'panel' => 'expert_sports_coach_post',
		)
	);
		
	// Post Heading Hide/ Show Setting // 
	$wp_customize->add_setting( 
		'expert_sports_coach_post_heading_settings' , 
			array(
			'default' => '1',
			'sanitize_callback' => 'expert_sports_coach_sanitize_checkbox',
			'capability' => 'edit_theme_options',
			'priority' => 2,
		) 
	);
	
	$wp_customize->add_control(
		'expert_sports_coach_post_heading_settings', 
		array(
			'label'	      => esc_html__( 'Hide / Show Post Heading', 'expert-sports-coach' ),
			'section'     => 'expert_sports_coach_archive_post_setting',
			'settings'    => 'expert_sports_coach_post_heading_settings',
			'type'        => 'checkbox'
		) 
	);

	// Post Content Hide/ Show Setting // 
	$wp_customize->add_setting( 
		'expert_sports_coach_post_content_settings' , 
			array(
			'default' => '1',
			'sanitize_callback' => 'expert_sports_coach_sanitize_checkbox',
			'capability' => 'edit_theme_options',
			'priority' => 2,
		) 
	);
	
	$wp_customize->add_control(
	'expert_sports_coach_post_content_settings', 
		array(
			'label'	      => esc_html__( 'Hide / Show Post Content', 'expert-sports-coach' ),
			'section'     => 'expert_sports_coach_archive_post_setting',
			'settings'    => 'expert_sports_coach_post_content_settings',
			'type'        => 'checkbox'
		) 
	);

	// Post Featured Hide/ Show Setting // 
	$wp_customize->add_setting( 
		'expert_sports_coach_post_featured_image_settings' , 
			array(
			'default' => '1',
			'sanitize_callback' => 'expert_sports_coach_sanitize_checkbox',
			'capability' => 'edit_theme_options',
			'priority' => 2,
		) 
	);
	
	$wp_customize->add_control(
	'expert_sports_coach_post_featured_image_settings', 
		array(
			'label'	      => esc_html__( 'Hide / Show Post Feature Image', 'expert-sports-coach' ),
			'section'     => 'expert_sports_coach_archive_post_setting',
			'settings'    => 'expert_sports_coach_post_featured_image_settings',
			'type'        => 'checkbox'
		) 
	);

	// Post Date Hide/ Show Setting // 
	$wp_customize->add_setting( 
		'expert_sports_coach_post_date_settings' , 
			array(
			'default' => '1',
			'sanitize_callback' => 'expert_sports_coach_sanitize_checkbox',
			'capability' => 'edit_theme_options',
			'priority' => 2,
		) 
	);
	
	$wp_customize->add_control(
	'expert_sports_coach_post_date_settings', 
		array(
			'label'	      => esc_html__( 'Hide / Show Post Date', 'expert-sports-coach' ),
			'section'     => 'expert_sports_coach_archive_post_setting',
			'settings'    => 'expert_sports_coach_post_date_settings',
			'type'        => 'checkbox'
		) 
	);

	// Post Date Hide/ Show Setting // 
	$wp_customize->add_setting( 
		'expert_sports_coach_post_comments_settings' , 
			array(
			'default' => '1',
			'sanitize_callback' => 'expert_sports_coach_sanitize_checkbox',
			'capability' => 'edit_theme_options',
			'priority' => 2,
		) 
	);
	
	$wp_customize->add_control(
	'expert_sports_coach_post_comments_settings', 
		array(
			'label'	      => esc_html__( 'Hide / Show Post Comment', 'expert-sports-coach' ),
			'section'     => 'expert_sports_coach_archive_post_setting',
			'settings'    => 'expert_sports_coach_post_comments_settings',
			'type'        => 'checkbox'
		) 
	);

	// Post Date Hide/ Show Setting // 
	$wp_customize->add_setting( 
		'expert_sports_coach_post_author_settings' , 
			array(
			'default' => '1',
			'sanitize_callback' => 'expert_sports_coach_sanitize_checkbox',
			'capability' => 'edit_theme_options',
			'priority' => 2,
		) 
	);
	
	$wp_customize->add_control(
	'expert_sports_coach_post_author_settings', 
		array(
			'label'	      => esc_html__( 'Hide / Show Post Author', 'expert-sports-coach' ),
			'section'     => 'expert_sports_coach_archive_post_setting',
			'settings'    => 'expert_sports_coach_post_author_settings',
			'type'        => 'checkbox'
		) 
	);

	// Post Tags Hide/ Show Setting // 
	$wp_customize->add_setting( 
		'expert_sports_coach_post_tags_settings' , 
			array(
			'default' => '1',
			'sanitize_callback' => 'expert_sports_coach_sanitize_checkbox',
			'capability' => 'edit_theme_options',
			'priority' => 2,
		) 
	);
	
	$wp_customize->add_control(
	'expert_sports_coach_post_tags_settings', 
		array(
			'label'	      => esc_html__( 'Hide / Show Post Tags', 'expert-sports-coach' ),
			'section'     => 'expert_sports_coach_archive_post_setting',
			'settings'    => 'expert_sports_coach_post_tags_settings',
			'type'        => 'checkbox'
		) 
	);


	$wp_customize->add_setting( 'expert_sports_coach_upgrade_page_settings_10',
    array(
        'sanitize_callback' => 'sanitize_text_field'
    )
    );
    $wp_customize->add_control( new Expert_Sports_Coach_Control_Upgrade(
        $wp_customize, 'expert_sports_coach_upgrade_page_settings_10',
            array(
                'priority'      => 200,
                'section'       => 'expert_sports_coach_archive_post_setting',
                'settings'      => 'expert_sports_coach_upgrade_page_settings_10',
                'label'         => __( 'Sports Coach Pro comes with additional features.', 'expert-sports-coach' ),
                'choices'       => array( __( '12+ Sections', 'expert-sports-coach' ), __( 'One Click Demo Importer', 'expert-sports-coach' ), __( 'Section Reordering Facility', 'expert-sports-coach' ),__( 'Advance Typography', 'expert-sports-coach' ),__( 'Easy Customization', 'expert-sports-coach' ),__( '24x7 Support', 'expert-sports-coach' ), )
            )
        )
    ); 

	/*=========================================
	Single Post  Section
	=========================================*/
	$wp_customize->add_section(
		'expert_sports_coach_single_post', array(
			'title' => esc_html__( 'Single Post', 'expert-sports-coach' ),
			'priority' => 3,
			'panel' => 'expert_sports_coach_post',
		)
	);
	
	// Post Heading Hide/ Show Setting // 
	$wp_customize->add_setting( 
		'expert_sports_coach_single_post_heading_settings' , 
			array(
			'default' => '1',
			'sanitize_callback' => 'expert_sports_coach_sanitize_checkbox',
			'capability' => 'edit_theme_options',
			'priority' => 2,
		) 
	);
	
	$wp_customize->add_control(
	'expert_sports_coach_single_post_heading_settings', 
		array(
			'label'	      => esc_html__( 'Hide / Show Post Heading', 'expert-sports-coach' ),
			'section'     => 'expert_sports_coach_single_post',
			'settings'    => 'expert_sports_coach_single_post_heading_settings',
			'type'        => 'checkbox'
		) 
	);

	// Post Content Hide/ Show Setting // 
	$wp_customize->add_setting( 
		'expert_sports_coach_single_post_content_settings' , 
			array(
			'default' => '1',
			'sanitize_callback' => 'expert_sports_coach_sanitize_checkbox',
			'capability' => 'edit_theme_options',
			'priority' => 2,
		) 
	);
	
	$wp_customize->add_control(
	'expert_sports_coach_single_post_content_settings', 
		array(
			'label'	      => esc_html__( 'Hide / Show Post Content', 'expert-sports-coach' ),
			'section'     => 'expert_sports_coach_single_post',
			'settings'    => 'expert_sports_coach_single_post_content_settings',
			'type'        => 'checkbox'
		) 
	);

	// Post Featured Hide/ Show Setting // 
	$wp_customize->add_setting( 
		'expert_sports_coach_single_post_featured_image_settings' , 
			array(
			'default' => '1',
			'sanitize_callback' => 'expert_sports_coach_sanitize_checkbox',
			'capability' => 'edit_theme_options',
			'priority' => 2,
		) 
	);
	
	$wp_customize->add_control(
	'expert_sports_coach_single_post_featured_image_settings', 
		array(
			'label'	      => esc_html__( 'Hide / Show Post Feature Image', 'expert-sports-coach' ),
			'section'     => 'expert_sports_coach_single_post',
			'settings'    => 'expert_sports_coach_single_post_featured_image_settings',
			'type'        => 'checkbox'
		) 
	);

	// Post Date Hide/ Show Setting // 
	$wp_customize->add_setting( 
		'expert_sports_coach_single_post_date_settings' , 
			array(
			'default' => '1',
			'sanitize_callback' => 'expert_sports_coach_sanitize_checkbox',
			'capability' => 'edit_theme_options',
			'priority' => 2,
		) 
	);
	
	$wp_customize->add_control(
	'expert_sports_coach_single_post_date_settings', 
		array(
			'label'	      => esc_html__( 'Hide / Show Post Date', 'expert-sports-coach' ),
			'section'     => 'expert_sports_coach_single_post',
			'settings'    => 'expert_sports_coach_single_post_date_settings',
			'type'        => 'checkbox'
		) 
	);

	// Post Date Hide/ Show Setting // 
	$wp_customize->add_setting( 
		'expert_sports_coach_single_post_comments_settings' , 
			array(
			'default' => '1',
			'sanitize_callback' => 'expert_sports_coach_sanitize_checkbox',
			'capability' => 'edit_theme_options',
			'priority' => 2,
		) 
	);
	
	$wp_customize->add_control(
	'expert_sports_coach_single_post_comments_settings', 
		array(
			'label'	      => esc_html__( 'Hide / Show Post Comment', 'expert-sports-coach' ),
			'section'     => 'expert_sports_coach_single_post',
			'settings'    => 'expert_sports_coach_single_post_comments_settings',
			'type'        => 'checkbox'
		) 
	);

	// Post Date Hide/ Show Setting // 
	$wp_customize->add_setting( 
		'expert_sports_coach_single_post_author_settings' , 
			array(
			'default' => '1',
			'sanitize_callback' => 'expert_sports_coach_sanitize_checkbox',
			'capability' => 'edit_theme_options',
			'priority' => 2,
		) 
	);
	
	$wp_customize->add_control(
	'expert_sports_coach_single_post_author_settings', 
		array(
			'label'	      => esc_html__( 'Hide / Show Post Author', 'expert-sports-coach' ),
			'section'     => 'expert_sports_coach_single_post',
			'settings'    => 'expert_sports_coach_single_post_author_settings',
			'type'        => 'checkbox'
		) 
	);
	// Post Tags Hide/ Show Setting // 
	$wp_customize->add_setting( 
		'expert_sports_coach_single_post_tags_settings' , 
			array(
			'default' => '1',
			'sanitize_callback' => 'expert_sports_coach_sanitize_checkbox',
			'capability' => 'edit_theme_options',
			'priority' => 2,
		) 
	);
	
	$wp_customize->add_control(
	'expert_sports_coach_single_post_tags_settings', 
		array(
			'label'	      => esc_html__( 'Hide / Show Post Tags', 'expert-sports-coach' ),
			'section'     => 'expert_sports_coach_single_post',
			'settings'    => 'expert_sports_coach_single_post_tags_settings',
			'type'        => 'checkbox'
		) 
	);

	$wp_customize->add_setting( 'expert_sports_coach_upgrade_page_settings_11',
    array(
        'sanitize_callback' => 'sanitize_text_field'
    )
    );
    $wp_customize->add_control( new Expert_Sports_Coach_Control_Upgrade(
        $wp_customize, 'expert_sports_coach_upgrade_page_settings_11',
            array(
                'priority'      => 200,
                'section'       => 'expert_sports_coach_single_post',
                'settings'      => 'expert_sports_coach_upgrade_page_settings_11',
                'label'         => __( 'Sports Coach Pro comes with additional features.', 'expert-sports-coach' ),
                'choices'       => array( __( '12+ Sections', 'expert-sports-coach' ), __( 'One Click Demo Importer', 'expert-sports-coach' ), __( 'Section Reordering Facility', 'expert-sports-coach' ),__( 'Advance Typography', 'expert-sports-coach' ),__( 'Easy Customization', 'expert-sports-coach' ),__( '24x7 Support', 'expert-sports-coach' ), )
            )
        )
    ); 
}

add_action( 'customize_register', 'expert_sports_coach_post_setting' );