<header class="main-header">
    <div class="container">
        <div class="middle-header-area py-2">
            <div class="row">
                <div class="col-lg-3 col-md-4 text-md-start text-center align-self-center">
                    <div class="logo mb-3 mb-md-0">
                        <?php 
                        if (has_custom_logo()) {
                            the_custom_logo();
                        } else {
                            $expert_sports_coach_site_title = get_theme_mod('expert_sports_coach_site_title_setting', '1');
                            if ($expert_sports_coach_site_title == '1') {
                                if (is_front_page() && is_home()) { ?>
                                    <h1 class="site-title">
                                        <a href="<?php echo esc_url(home_url('/')); ?>">
                                            <?php bloginfo('name'); ?>
                                        </a>
                                    </h1>
                                <?php } else { ?>
                                    <p class="site-title">
                                        <a href="<?php echo esc_url(home_url('/')); ?>">
                                            <?php bloginfo('name'); ?>
                                        </a>
                                    </p>
                                <?php }
                            }
                            $expert_sports_coach_tagline = get_theme_mod('expert_sports_coach_tagline_setting');
                            if ($expert_sports_coach_tagline) {
                                $expert_sports_coach_site_desc = get_bloginfo('description'); ?>
                                <p class="site-description"><?php echo esc_html($expert_sports_coach_site_desc); ?></p>
                            <?php }
                        } ?>
                    </div>
                </div>
                <div class="col-lg-7 col-md-4 col-6 align-self-center menu-col">
                    <div class="menubox">
                        <nav class="navbar navbar-expand-lg navbaroffcanvas">
                            <div class="navbar-menubar responsive-menu">
                                <button class="navbar-toggler align-self-center" type="button" data-bs-toggle="collapse" data-bs-target=".navbar-menu" aria-label="<?php esc_attr_e('Toggle navigation', 'expert-sports-coach'); ?>">
                                    <i class="fa fa-bars"></i>
                                </button>
                                <div class="collapse navbar-collapse navbar-menu">
                                    <button class="navbar-toggler navbar-toggler-close" type="button" data-bs-toggle="collapse" data-bs-target=".navbar-menu" aria-label="<?php esc_attr_e('Close navigation', 'expert-sports-coach'); ?>">
                                        <i class="fa fa-times"></i>
                                    </button>
                                    <?php
                                    wp_nav_menu(array(
                                        'theme_location' => 'primary',
                                        'container_class' => 'main-menu clearfix',
                                        'menu_class' => 'clearfix',
                                        'items_wrap' => '<ul id="%1$s" class="%2$s mobile_nav">%3$s</ul>',
                                        'fallback_cb' => false, // Disable fallback callback
                                    ));
                                    ?>
                                </div>
                            </div>
                        </nav>
                    </div>
                </div>
                <div class="col-lg-2 col-md-4 col-6 text-md-end text-center align-self-center">
                    <span class="header-btn text-center text-md-end">
                        <?php
                        $expert_sports_coach_header_btn_text = get_theme_mod('expert_sports_coach_header_btn_text', '');
                        $expert_sports_coach_header_btn_link = get_theme_mod('expert_sports_coach_header_btn_link', '');

                        if (!empty($expert_sports_coach_header_btn_text) && !empty($expert_sports_coach_header_btn_link)) { ?>
                            <a target="_blank" href="<?php echo esc_url($expert_sports_coach_header_btn_link); ?>" class="offer-text">
                                <?php echo esc_html($expert_sports_coach_header_btn_text); ?>
                            </a>
                        <?php } ?>
                    </span>
                </div>
            </div>
        </div>
    </div>
</header>